# Gooee - UI Framework for Cities Skylines 2 Modding

## Introduction
Welcome to the experimental release of **Gooee**, a UI framework designed for modders of Cities Skylines 2. Gooee aims to streamline the modding experience by providing a bootstrap-like CSS framework with reusable React components. Our goal is to blend the game's native UI with the flexibility and familiarity of the bootstrap methodology, creating an intuitive and efficient modding environment.

## Features
- **Bootstrap-like CSS Framework:** Easy-to-use and familiar styling options.
- **Reusable React Components:** Efficiently build complex UIs with minimal code.
- **Native UI Blending:** Seamlessly integrates with the Cities Skylines 2 native UI for a cohesive experience.
- **Modular Design:** Import only what you need, keeping your mods light and efficient.
- **MVC system:** Gooee provides a Model View Controller system and wires up model binding automatically.
- **Over 1,000 icons:** Font awesome 6 is included by default.

## Requirements
Before you start using Gooee, ensure you have the following prerequisites installed:
- **BepInex:** A framework for patching Unity games, required for mod loading.

## Support
- **HookUI:** Supports running with or without HookUI

## Installation
1. Ensure you have HookUI and BepInex installed in your Cities Skylines 2 environment.
2. Download the latest version of Gooee from the [GitHub repository](https://github.com/Cities2Modding/Gooee).
3. Extract the contents into your `Cities Skylines 2/Mods` directory.
4. Launch the game, and enable Gooee from the Mods menu.

## Documentation
The documentation is currently a work in progress. As we continue to develop and refine Gooee, comprehensive guides and references will be made available. Stay tuned for updates and detailed instructions on how to leverage Gooee in your mods.

## Contributing
Gooee is an open-source project and we welcome contributions from the community. If you're interested in contributing, please visit our [GitHub repository](https://github.com/Cities2Modding/Gooee). Whether it's reporting a bug, proposing new features, or improving documentation, your help is greatly appreciated.

## Feedback and Support
As this is an experimental release, we are particularly keen on receiving feedback from the modding community. If you encounter any issues or have suggestions for improvements, please open an issue on our GitHub repository.

## License
Gooee is released under GPL. Please review the license terms before using or contributing to the project.

## Acknowledgements
Special thanks to the Cities Skylines modding community and everyone who has contributed to making Gooee a reality.

---

*Gooee - Empowering Modders to Build a More Beautiful Cities Skylines 2*
